%global with_debug 0
%global with_check 0

%if 0%{?with_debug}
%global _find_debuginfo_dwz_opts %{nil}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package %{nil}
%endif

%global provider github
%global provider_tld com
%global project containers
%global repo conmon
# https://github.com/containers/conmon
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global git0 https://%{import_path}

Name: %{repo}
Epoch: 2
Version: 2.0.21
Release: 4.rhaos4.6%{?dist}
Summary: OCI container runtime monitor
License: ASL 2.0
URL: %{git0}
Source0: %{git0}/archive/v%{version}.tar.gz
Patch0: CVE-2022-1708.patch
BuildRequires: gcc
BuildRequires: git
BuildRequires: glib2-devel
BuildRequires: systemd-devel

%description
%{summary}.

%prep
%autosetup -Sgit

%build
%{__make} all

%install
%{__make} PREFIX=%{buildroot}%{_prefix} install install.crio

#define license tag if not already defined
%{!?_licensedir:%global license %doc}

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_libexecdir}/crio/%{name}

%changelog
* Thu Jun 16 2022 Peter Hunt <pehunt@redhat.com> - 2:2.0.21-4.rhaos4.6
- fix flag in CVE patch

* Tue Jun 07 2022 Peter Hunt <pehunt@redhat.com> - 2:2.0.21-3.rhaos4.6
- add CVE-2022-1708.patch

* Mon Sep 28 2020 Peter Hunt <pehunt@redhat.com> - 2:2.0.21-2.rhaos4.6
- Bump to https://github.com/containers/conmon/releases/tag/v2.0.21

* Wed Jul 29 2020 Jindrich Novy <jnovy@redhat.com> - 2:2.0.20-1.rhaos4.6
- update to https://github.com/containers/conmon/releases/tag/v2.0.20
